%define doc_dir %_defaultdocdir/%name-%version

Name: lame-hydrogen
Version: 3.90.3
Release: alt2

Summary: LAME Ain't an Mp3 Encoder (Hydrogen version)
License: LGPL
Group: Sound
URL: http://lame.sourceforge.net/
Packager: Andrey Astafiev <andrei@altlinux.ru>

Source: http://prdownloads.sourceforge.net/lame/lame-%{version}-linux.tar.bz2
Patch1: lame-3.89-alt-global_flags.patch
Patch2: lame-3.92-alt-terminfo.patch
Patch3: lame-3.93-alt-ltconfig.patch
Patch4: lame-3.90.3-alt-vbrtag_h.patch
Patch5: lame-3.90.3-alt-util_h.patch
Patch6: lame-3.90.3-alt-i386_makefile.patch

Requires: lib%name = %version-%release
Provides: lame

# Automatically added by buildreq on Wed Jul 21 2004
BuildRequires: gcc-c++ gtk+-devel hostinfo libsndfile-devel libstdc++-devel
BuildRequires: libtinfo-devel nasm time

%description
Lame is a program which can be used to create compressed audio files.
These audio files can be played back by popular mp3 players such as mpg123.
This package contains version modified by Hydrogen community.

%description -l ru_RU.CP1251
LAME -    mp3-.    
    xmms, mpg123, madplay.
    ,   Hydrogen.

%package -n lib%name
Summary: LAME shared library (Hydrogen version)
Group: System/Libraries
Provides: liblame

%description -n lib%name
This package contains shared library required by %name-based software.
This version is modified by Hydrogen community.

%description -n lib%name -l ru_RU.CP1251
      LAME.

%package -n lib%name-devel
Summary: LAME development file (Hydrogen version)
Group: Development/C
Requires: lib%name = %version-%release
Provides: liblame-devel

%description -n lib%name-devel
This package contains header files required to develop
%name-based software.
This version is modified by Hydrogen community.

%description -n lib%name-devel -l ru_RU.CP1251
    ,    ,
 LAME.

%package -n lib%name-devel-static
Summary: LAME static libraries (Hydrogen version)
Group: Development/C
Requires: lib%name-devel = %version-%release
Provides: liblame-devel-static

%description -n lib%name-devel-static
This package contains static library required to develop
%name-based software.
This version is modified by Hydrogen community.

%description -n lib%name-devel-static -l ru_RU.CP1251
     ,   
 ,  LAME.

%prep
%setup -q -n lame-%version
%patch1 -p1
%patch2 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%set_verify_elf_method textrel=relaxed
%__aclocal
%__autoheader
%__autoconf
%__automake -a -c -f
%configure --enable-nasm --disable-vorbis --disable-gtktest --enable-brhist --disable-mp3rtp

%make
LD_LIBRARY_PATH=. \
%make test

%install
%makeinstall
%__mkdir_p %buildroot%_docdir/%name-%version/{html,devel}
%__install -pD -m644 API HACKING STYLEGUIDE TODO %buildroot%_docdir/%name-%version/devel
%__install -pD -m644 doc/html/*.{html,css} %buildroot%_docdir/%name-%version/html
%__install -pD -m644 LICENSE PRESETS.draft USAGE %buildroot%_docdir/%name-%version
%__install -p -m644 libmp3lame/lame_global_flags.h %buildroot%_includedir/%name

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files
%_bindir/*
%_mandir/man?/*
%doc %doc_dir/PRESETS.draft
%doc %doc_dir/USAGE
%dir %doc_dir/html
%doc %doc_dir/html/*
%exclude %_datadir/doc/lame

%files -n lib%name
%_libdir/*.so.*
%dir %doc_dir
%doc %doc_dir/LICENSE

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%dir %doc_dir/devel
%doc %doc_dir/devel/*

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Sat Aug 14 2004 Andrey Astafiev <andrei@altlinux.ru> 3.90.3-alt2
- Various minor changes in spec.

* Tue Jul 20 2004 Andrey Astafiev <andrei@altlinux.ru> 3.90.3-alt1
- First version of RPM package for Sisyphus.
- This spec is based on spec for original lame package.
